# SKD application properties and global configurations
sdk {

    # Credentials to authenticate via OAuth
  sender {
    clientId: "SenderClientID"
    clientSecret: "SenderSecret"
  }

  subscriber {
    clientId: "SubscriberClientID"
    clientSecret: "SubscriberSecret"

    # Path that references the private key file
    privateDecryptionKeyPath: "path/to/decrpytion_key.json"

    # Path that references the signing key file
    privateSigningKeyPath: "path/to/singning_key.json"

     # Path that references the metadata schema
    metadataSchemaPath: "path/to/metadata_schema.json"
    securityEventTokenSchemaPath: ""
  }

  # Proxy config for http api calls
  httpProxyHost: ""
  httpProxyPort: 0
  requestTimeoutInSeconds: 30

  # switch between the active environments DEV, PROD or TEST
  usedEnvironment: "DEV"

  # Configured environments for all api-urls
  environments {
    dev {
        authBaseUrl: "https://auth-testing.fit-connect.fitko.dev",
        submissionBaseUrl: "https://submission-api-testing.fit-connect.fitko.dev"
    }
    prod {
         authBaseUrl: "https://auth-prod.fit-connect.fitko.dev"
         submissionBaseUrl: "https://submission-api-prod.fit-connect.fitko.dev"
    }
    test {
        authBaseUrl: "https://auth-test.fit-connect.fitko.dev"
        submissionBaseUrl: "https://submission-api-testing.fit-connect.fitko.dev"
    }
  }

   resourcePaths {
    authTokenPath: "/token"

    destinationPath: "/v1/destinations/{destinationId}"
    destinationKeyPath: "/v1/destinations/{destinationId}/keys/{kid}"

    eventLogPath: "/v1/cases/{caseId}/events"

    submissionPath: "/v1/submissions/{submissionId}"
    submissionsPath: "/v1/submissions"
    submissionAttachmentPath: "/v1/submissions/{submissionId}/attachments/{attachmentId}"
  }
}
